searchNodes=[{"type":"module","title":"Polyline","doc":"Encode and decode Polylines to and from List of {lon, lat} tuples. The encode functions accept a precision parameter that defines the number of significant digits to retain when encoding. The same precision must be supplied to the decode or the resulting linestring will be incorrect. The default is 5 , which correlates to approximately 1 meter of precision. Examples iex&gt; Polyline . encode ( [ { - 120.2 , 38.5 } , { - 120.95 , 40.7 } , { - 126.453 , 43.252 } ] ) &quot;_p~iF~ps|U_ulLnnqC_mqNvxq`@&quot; iex&gt; Polyline . decode ( &quot;_p~iF~ps|U_ulLnnqC_mqNvxq`@&quot; ) [ { - 120.2 , 38.5 } , { - 120.95 , 40.7 } , { - 126.453 , 43.252 } ]","ref":"Polyline.html"},{"type":"function","title":"Polyline.decode/2","doc":"Decode a polyline String into a List of {lon, lat} tuples. Examples iex&gt; Polyline . decode ( &quot;_p~iF~ps|U_ulLnnqC_mqNvxq`@&quot; ) [ { - 120.2 , 38.5 } , { - 120.95 , 40.7 } , { - 126.453 , 43.252 } ] iex&gt; Polyline . decode ( &quot;_izlhA~rlgdF_{geC~ywl@_kwzCn`{nI&quot; , 6 ) [ { - 120.2 , 38.5 } , { - 120.95 , 40.7 } , { - 126.453 , 43.252 } ]","ref":"Polyline.html#decode/2"},{"type":"function","title":"Polyline.encode/2","doc":"Encode a List of coordinate tuples into a Polyline String. Also works with Geo.LineString structs (see https://hex.pm/packages/geo ). Examples iex&gt; Polyline . encode ( [ { - 120.2 , 38.5 } , { - 120.95 , 40.7 } , { - 126.453 , 43.252 } ] ) &quot;_p~iF~ps|U_ulLnnqC_mqNvxq`@&quot; iex&gt; Polyline . encode ( [ { - 120.2 , 38.5 } , { - 120.95 , 40.7 } , { - 126.453 , 43.252 } ] , 6 ) &quot;_izlhA~rlgdF_{geC~ywl@_kwzCn`{nI&quot; iex&gt; &quot;LINESTRING(-120.2 38.5, -120.95 40.7, -126.453 43.252)&quot; ...&gt; |&gt; Geo.WKT . decode! ...&gt; |&gt; Map . get ( :coordinates ) ...&gt; |&gt; Polyline . encode &quot;_p~iF~ps|U_ulLnnqC_mqNvxq`@&quot;","ref":"Polyline.html#encode/2"}]